Package org.codehaus.groovy.classgen.asm.util

# Class LoggableClassVisitor

java.lang.Object
org.objectweb.asm.ClassVisitor
org.codehaus.groovy.classgen.asm.util.LoggableClassVisitor

public class LoggableClassVisitor extends org.objectweb.asm.ClassVisitor
A ClassVisitor proxy, which can log bytecode generation

Since:
  2.5.0

- ## Field Summary

  ### Fields inherited from class org.objectweb.asm.ClassVisitor

  `api, cv`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv)`
  `LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv, CompilerConfiguration compilerConfiguration)`

- ## Method Summary

  ### Methods inherited from class org.objectweb.asm.ClassVisitor

  `getDelegate, visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoggableClassVisitor

    public LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv)

  - ### LoggableClassVisitor

    public LoggableClassVisitor(org.objectweb.asm.ClassVisitor cv, CompilerConfiguration compilerConfiguration)